var jqmMgr = {

	fIsSmallScreen : null,
	fPanelOpen : null,
	fHeaderHidden : null,
	fIsXSmallScreen : null,

	onLoad : function(){
		scCoLib.util.log("jqmMgr.onLoad");

		// Action sur le bouton menu
		$("#menuBtn").bind("click",function() {
			jqmMgr.togglePanel();
		});

		// Gestion du changement d'orientation : fermeture du panel de gauche
		$(window).resize(function() {
			jqmMgr.adaptLayoutWithSize();
			if ($('.scImgGalFra').length != 0)
				scImgMgr.xUpdateMarginTop(scImgMgr.fSourceRoot);
		});

		// Permet le fonctionnement des liens internes sur les pages de glossaire.... ne sais pas si c'est utile sur Topaze, à tester...
		$('.refOutlineEntry a').attr("data-ajax", "false");


		if ($("#toolsBtn").length == 0) {
			$ ("#playBtn").css("display", "none");
		} else {
			$("#toolsBtn").bind( "click", function() {
				window.sessionStorage.toolsMenuOpened = 1;
			});
		
			$ ("#playBtn").bind( "click", function() {
				window.sessionStorage.toolsMenuOpened = window.sessionStorage.menuOpened;
			});
		}

		// masquer afficher le header et le footer
		$('#hideBtn').bind('click', function(event) {
			jqmMgr.hideToolBars();
		});

		// masquer afficher le header et le footer
		$('#showBtn').bind('click', function(event) {
			jqmMgr.showToolBars();
		});

		
		$(document).on( "click", ".homeBtn, .mnu_lnk, .modeBtn, .nav-search, .main_nav, .mob_prevBtn, .mob_nextBtn, .startBtn, .mnu_sel_no, .mnu_tools", function() {
			$.mobile.loading( 'show', {
			  text: "",
			  textVisible: false,
			  theme: "a",
			  html: ""
			  });
		});

		//Gestion des swipe pour changement de page
		/*$('.ui-page').bind('swipeleft swiperight', function(event) {
			if (tplMgr.fDisableTouchEvents)  return;	
			var nextPage = "";
			var button;
			if (event.type == "swiperight") {
		
				nextPage = $("a.mob_prevBtn").attr("href");
			} else if (event.type == "swipeleft") {
				nextPage = $("startBtn").attr("href");
				if (nextPage == null)
					nextPage = $("a.mob_nextBtn").attr("href");
			}
	
			if (nextPage != null) {
				window.location.href=nextPage;
			}
		});*/
	},

	adaptLayoutWithSize : function() {
		if ($(window).width() < 500 && (jqmMgr.fIsXSmallScreen == null || jqmMgr.fIsXSmallScreen == 0)) {
			jqmMgr.fIsXSmallScreen = 1;
			jqmMgr.fIsSmallScreen = 0;
			jqmMgr.switchLayoutToXSmallScreen();
		} else if ($(window).width() < 640 && $(window).width() > 500 && (jqmMgr.fIsXSmallScreen == null || jqmMgr.fIsSmallScreen == 0)) {
			jqmMgr.fIsXSmallScreen = 0;
			jqmMgr.fIsSmallScreen = 1;
			jqmMgr.switchLayoutToSmallScreen();
		} else if ($(window).width() > 640 && (jqmMgr.fIsXSmallScreen == null || jqmMgr.fIsSmallScreen == 1 || jqmMgr.fIsXSmallScreen == 1)) {
			jqmMgr.fIsXSmallScreen = 0;
			jqmMgr.fIsSmallScreen = 0;
			jqmMgr.switchLayoutToLargeScreen();
		}
	},

	switchLayoutToSmallScreen : function() {
		$("#panel-left").panel("close");
		$('#menu-top').css("display","");
		$('#navSmallScreen').trigger('expand');
		
		if (jqmMgr.fIsXSmallScreen == 0) {
			$('#menuBtn').buttonMarkup({iconpos:"left"}).buttonMarkup("refresh");
	  		$("#playBtn").buttonMarkup({iconpos:"left"}).buttonMarkup("refresh");
	  		$("#toolsBtn").buttonMarkup({iconpos:"right"}).buttonMarkup("refresh");
		}
	},

	switchLayoutToXSmallScreen : function() {
		jqmMgr.switchLayoutToSmallScreen();
		$('#menuBtn').buttonMarkup({iconpos:"notext"}).buttonMarkup("refresh");
		$("#playBtn").buttonMarkup({iconpos:"notext"}).buttonMarkup("refresh");
		$("#toolsBtn").buttonMarkup({iconpos:"notext"}).buttonMarkup("refresh");
	},

	switchLayoutToLargeScreen : function() {
		$('#menu-top').css("display","none");

		if (jqmMgr.fPanelOpened == 1 || window.sessionStorage.toolsMenuOpened == 1)
			$("#panel-left").panel("open");

		$('#menuBtn').buttonMarkup({iconpos:"left"}).buttonMarkup("refresh");
	  	$("#playBtn").buttonMarkup({iconpos:"left"}).buttonMarkup("refresh");
	  	$("#toolsBtn").buttonMarkup({iconpos:"right"}).buttonMarkup("refresh");
		
	},

	togglePanel : function() {
		if ($(window).width() > 640) {
			$("#panel-left").trigger("updatelayout");
			$("#panel-left").panel("toggle");

			if (window.sessionStorage.panelOpened == 1) {
				window.sessionStorage.panelOpened = jqmMgr.fPanelOpen = 0;
			} else {
				window.sessionStorage.panelOpened = jqmMgr.fPanelOpen = 1;
			}
		}
	},

	hideToolBars : function(){
		if ($(window).width()>640) 
			$("#panel-left").panel("close");
		else
			$('#menu-top').css("display","none");
		

		$('header').css("display", "none");
		$('footer').css("display", "none");

		$('#showBtnDiv').css("display", "block");

		window.sessionStorage.headerHidden = jqmMgr.fHeaderHidden = 1;

		minHeight = $(window).height();
		$('.ui-panel-content-wrap').css("min-height", minHeight);
		$('.ui-page').addClass("toolbars-hidden");
	},

	showToolBars : function(){
		if ($(window).width()<640)
			$('#menu-top').css("display","");

		$('header').css("display", "");
		$('footer').css("display", "");
		$('.ui-page').removeClass("toolbars-hidden");

		minHeight = $(window).height();
		$('.ui-panel-content-wrap').css("min-height", minHeight - 105);

		$('#showBtnDiv').css("display", "none");
		window.sessionStorage.headerHidden = jqmMgr.fHeaderHidden = 0;
	},

	init : function(){
		scCoLib.util.log("jqmMgr.init");
		//initialisation des status des menus
		if (window.sessionStorage.panelOpened == null) {
			window.sessionStorage.panelOpened = 1;
			window.sessionStorage.headerHidden = 0;
			window.sessionStorage.smallMenuOpened = 0;
		} 

		this.fPanelOpened = window.sessionStorage.panelOpened;
		this.fHeaderHidden = window.sessionStorage.headerHidden;

		$.mobile.defaultPageTransition = 'none';
		$.mobile.defaultDialogTransition = 'none';
		$.mobile.ajaxLinksEnabled = false;

		$( '#tplFra' ).bind( 'pagebeforeshow',function(event){
			jqmMgr.adaptLayoutWithSize();

			if (jqmMgr.fHeaderHidden == 1) 
				hideToolBars();
		
			//empécher la fermeture du panel lorsque l'on clique sur un lien du menu
			$.mobile.panel.prototype._handleCloseClick = function() {
			}; 
		});
		 
	},

	loadSortKey : "C"
}
scOnLoads[scOnLoads.length] = jqmMgr;



